package com.hh.arome.mvp.model;

import com.common.lib_base.common.http.bean.BaseBean;
import com.hh.arome.bean.AlipayUserInfoRequestBean;
import com.hh.arome.bean.AlipayUserInfoResultBean;
import com.hh.arome.bean.LogcatAddRequestBean;
import com.hh.arome.bean.SimpleResultBean;
import com.hh.arome.http.ApiService;
import com.hh.arome.mvp.model.base.BaseModel;

import io.reactivex.Observable;
import okhttp3.RequestBody;

import static com.hh.arome.common.Constants.Url.USER_INFO_THREE_ELEMENTS;

public class AlipayUserInfoModel extends BaseModel {


    public AlipayUserInfoModel(ApiService mApiService) {
        super(mApiService);
    }

    public Observable<BaseBean<AlipayUserInfoResultBean>> requestAlipayUserInfo(AlipayUserInfoRequestBean bean) {
        RequestBody requestBody = createRequestBody(bean);

        return mApiService.requestAlipayUserInfo(USER_INFO_THREE_ELEMENTS,requestBody);
    }


}
